#ifndef CONNECTION_HH
# define CONNECTION_HH

class Connection {
public:
  Connection();


  bool connected() const;
  void start();
  void stop();
  void send(const string &data);
  void send(const char* buf, size_t len);
  void sendln(const string &data);
  void sendln(const char* buf, size_t len);
  string recvln();
private:
  void connect_(const char *addr, int port);
  void disconnect_();
private:
  int socket_;
  string rbuf_;
};

#endif
